<?
	include("../inc_global.php");
	include("../inc_function.php");

	check_authority();

	function chk_files_perm($dir) {
		if (!$dh = @opendir($dir)) return false;
		while(false !== ($file = readdir($dh))) {
			if($file != '.' && $file != '..') {
				$path = $dir.'/'.$file;
				if(is_dir($path)) {
					if (!is_dir_permit($path)) print "<div style=color:red>資料夾 $path 權限不足 / 請使用FTP輸入 chmod -R 777 attach 指令</div>";
					chk_files_perm($path);
				}
				else if (!is_file_permit($path)) print "<div style=color:red>資料夾 $path 無法寫入 / 請使用FTP輸入 chmod -R 777 attach 指令</div>";
			}
		}
		closedir($dh);
		if (!is_dir_permit($dir)) print "<div style=color:red>資料夾 $path 權限不足 / 請使用FTP輸入 chmod -R 777 attach 指令</div>";
		return true;
	}

	admin_pop_header("");
?>

<div style="padding:20px">

	<div>
	與 Tatter Tools 官方網站連結確認 ::<br>
	<?
	list ($res) = get_remotefile($s_sync_url, "0");
	if (strpos($res, "200 OK")) print "<font color=blue>連結成功!</font>";
	else print "<font color=red>連結錯誤 / 通訊協定沒有連結權限. 請詢問伺服器管理者</font>";
	?>
	</div>
	<br>

	<div>
	檔案上傳目錄權限確認 ::<br>
	<?
	chk_files_perm("../attach");
	?>
	確認完成
	</div>
	<br>

	<div>
	安裝目錄權限確認 ::
	<?
		$path = "..";
		if (!is_dir_permit($path)) print "<div style=color:red>根目錄權限不足 / 請使用FTP輸入 chmod -R 777 attach 指令</div>";
		else print "<div style=color:blue>沒有異常!</div>";
	?>
	</div>
	<br>

	<div>
	管理者資料夾權限確認 ::
	<?
		$path = ".";
		if (!is_readable($path)) print "<div style=color:red>管理者資料夾權限不足 / 請使用FTP輸入 chmod 705 admin 指令</div>";
		else print "<div style=color:blue>沒有異常!</div>";
	?>
	</div>
	<br>

	<div>
	Session 資料夾權限確認 ::
	<?
		$path = "../session_path";
		if (!is_dir_permit($path)) print "<div style=color:red>session資料夾權限不足 / 請使用FTP輸入 chmod 705 admin 指令</div>";
		else print "<div style=color:blue>沒有異常!</div>";
	?>
	</div>
	<br>

	<div>
	index.xml 檔案權限確認 ::
	<?
		$path = "../index.xml";
		if (!is_file_permit($path)) print "<div style=color:red>index.xml 檔案權限不足 / 請使用FTP輸入 chmod 777 index.xml 指令</div>";
		else print "<div style=color:blue>沒有異常!</div>";
	?>
	</div>
	<br>

</div>

<?	admin_pop_footer(); ?>
