<?

	function drop_scheme() {
		global $db, $dbid;
		put_query("drop table t3_".$dbid."_setting");
		put_query("drop table t3_".$dbid."_count");
		put_query("drop table t3_".$dbid);
		put_query("drop table t3_".$dbid."_ct1");
		put_query("drop table t3_".$dbid."_ct2");
		put_query("drop table t3_".$dbid."_files");
		put_query("drop table t3_".$dbid."_reply");
		put_query("drop table t3_".$dbid."_trackback");
		put_query("drop table t3_".$dbid."_tblog");
		put_query("drop table t3_".$dbid."_keyword");
		put_query("drop table t3_".$dbid."_keyword_files");
		put_query("drop table t3_".$dbid."_link");
		put_query("drop table t3_".$dbid."_rss");
		put_query("drop table t3_".$dbid."_rss_group");
		put_query("drop table t3_".$dbid."_rss_item");
		put_query("drop table t3_".$dbid."_guest");
		put_query("drop table t3_".$dbid."_guest_reply");
		put_query("drop table t3_".$dbid."_guest_icon");
		put_query("drop table t3_".$dbid."_referlog");
		put_query("drop table t3_".$dbid."_referstat");
		put_query("drop table t3_".$dbid."_cnt_log");
	}

	function create_scheme() {
		global $db, $dbid, $sch_setting, $sch_count, $sch, $sch_ct1, $sch_ct2, $sch_files, $sch_reply, $sch_trackback, $sch_tblog, $sch_keyword, $sch_keyword_files, $sch_link, $sch_rss, $sch_rss_group, $sch_rss_item, $sch_guest, $sch_guest_reply, $sch_guest_icon, $sch_referlog, $sch_referstat, $sch_cnt_log;
		put_query($sch_setting);
		put_query($sch_count);
		put_query($sch);
		put_query($sch_ct1);
		put_query($sch_ct2);
		put_query($sch_files);
		put_query($sch_reply);
		put_query($sch_trackback);
		put_query($sch_tblog);
		put_query($sch_keyword);
		put_query($sch_keyword_files);
		put_query($sch_link);
		put_query($sch_rss);
		put_query($sch_rss_group);
		put_query($sch_rss_item);
		put_query($sch_guest);
		put_query($sch_guest_reply);
		put_query($sch_guest_icon);
		put_query($sch_referlog);
		put_query($sch_referstat);
		put_query($sch_cnt_log);
	}

	$sch_setting = "
		create table t3_".$dbid."_setting (
			user_pass varchar(64) not null default ''
			, user_nick varchar(64) not null default '輸入你的暱稱'
			, icount int(11) not null default '0'
			, title varchar(255) not null default '輸入網誌標題'
			, description varchar(255) not null default '輸入網誌描述'
			, imagefile varchar(128) default null
			, imagelabel varchar(128) default null
			, width int(11) not null default '0'
			, height int(11) not null default '0'
			, page_cnt int not null default '3'
			, article_cnt int not null default '10'
			, keyword_cnt int not null default '10'
			, xml_cnt int not null default '5'
			, perm_rp int(1) not null default '1'
			, perm_tb int(1) not null default '1'
			, skin varchar(255) not null default '096_quan'
			, rct_ps_cnt int not null default '10'
			, rct_rp_cnt int not null default '10'
			, rct_tb_cnt int not null default '5'
			, rct_ps_trunc int not null default '30'
			, rct_rp_trunc int not null default '30'
			, rct_tb_trunc int not null default '30'
			, link_trunc int not null default '26'
			, tree varchar(255) not null default 'folder1'
			, tree_limit int not null default '30'
			, tree_back varchar(7) default ''
			, tree_c varchar(7) default '000030'
			, tree_c2 varchar(7) default 'FFFFFF'
			, tree_bc varchar(7) default ''
			, tree_bc2 varchar(7) default '0A246A'
			, read_cycle int not null default '120'
			, delete_cycle int not null default '-1'
			, show_preview int(1) not null default '0'
			, show_member int(1) not null default '1'
			, show_tree_cnt int(1) not null default '0'
			, select_cat_view int(1) not null default '1'
			, select_arc_view int(1) not null default '3'
			, l_key_cache text, g_key_cache text
			, rssv_type int(1) not null default '2'
			, rss_public int(1) not null default '1'
			, ip_block text
			, box1_style varchar(255) not null default 'padding:10; background-color:#F0F0F0;'
			, box2_style varchar(255) not null default 'padding:10; background-color:#DEEFFF;'
			, box3_style varchar(255) not null default 'padding:10; background-color:#D6F7E0;'
			, box4_style varchar(255) not null default 'padding:10; background-color:#FFE6E6;'
			, rssp_type int(1) not null default '1'
			, rssp_limit int not null default '3'
			, gue_page_cnt int not null default '5'
			, gue_perm int not null default '1'
		)
	";

	$sch_count = "
		create table t3_".$dbid."_count (
			set_date varchar(8) not null default ''
			, count int(11) not null default '0'
			, set_ip varchar(20) not null default ''
			, primary key set_date (set_date)
		)
	";

	$sch = "
		create table t3_".$dbid." (
			no int not null auto_increment
			, category1 int not null default '0'
			, category2 int not null default '0'
			, title varchar(255) not null default ''
			, body text not null default ''
			, user_id varchar(64)
			, image_file_path1 varchar(64) default null
			, image_file_path2 varchar(64) default null
			, local_info varchar(255) not null default ''
			, regdate int not null default ''
			, is_public int(1) not null default '0'
			, is_sync int(1) not null default '0'
			, rp_cnt int not null default '0'
			, tb_cnt int not null default '0'
			, perm_rp int(1) not null default '1'
			, perm_tb int(1) not null default '1'
			, subscription int(1) not null default '0'
			, primary key (no)
			, key category1 (category1)
			, key category2 (category2)
			, key regdate (regdate)
		)
	";

	$sch_ct1 = "
		create table t3_".$dbid."_ct1 (
			no int not null auto_increment
			, sortno int not null default '0'
			, label varchar(255) default null
			, cnt int not null default '0'
			, primary key (no)
			, key sortno (sortno)
		)
	";

	$sch_ct2 = "
		create table t3_".$dbid."_ct2 (
			no int not null auto_increment
			, pno int not null default '0'
			, sortno int not null default '0'
			, label varchar(255) default null
			, cnt int not null default '0'
			, primary key (no)
			, key sortno (sortno)
		)
	";

	$sch_files = "
		create table t3_".$dbid."_files (
			no int(11) not null auto_increment
			, pno int(11) not null default '0'
			, attachname varchar(128) default null
			, filename varchar(128) default null
			, filesize int(11) not null default '0'
			, width int(11) not null default '0'
			, height int(11) not null default '0'
			, regdate int not null default ''
			, primary key (no)
			, key pno (pno)
		)
	";

	$sch_reply = "
		create table t3_".$dbid."_reply (
			no int not null auto_increment
			, pno int not null default '0'
			, rno int not null default '0'
			, sortno int not null default '0'
			, name varchar(255) not null default ''
			, homepage varchar(255) not null default ''
			, body text not null default ''
			, is_root int(1) not null default '1'
			, password varchar(64) not null
			, is_secret int(1) not null default '0'
			, regdate int not null default ''
			, ip varchar(16) not null
			, primary key (no)
			, key regdate (regdate)
			, key pno (pno)
		)
	";

	$sch_trackback = "
		create table t3_".$dbid."_trackback (
			no int not null auto_increment
			, pno int not null
			, site varchar(255) not null default ''
			, url varchar(255) not null default ''
			, title varchar(255) not null default ''
			, body text not null default ''
			, regdate int not null default ''
			, ip varchar(16) not null
			, primary key (no)
			, key regdate (regdate)
			, key pno (pno)
		)
	";

	$sch_tblog = "
		create table t3_".$dbid."_tblog (
			no int not null auto_increment
			, pno int not null default '0'
			, regdate int not null default ''
			, ping_url varchar(255) not null default ''
			, primary key (no)
			, key regdate (regdate)
		)
	";

	$sch_keyword = "
		create table t3_".$dbid."_keyword (
			no int not null auto_increment
			, sortno int not null default '0'
			, keyword varchar(255) not null default ''
			, body text not null default ''
			, image_file_path1 varchar(64) default null
			, image_file_path2 varchar(64) default null
			, regdate int not null default ''
			, is_public int(1) not null default '0'
			, is_sync int(1) not null default '0'
			, primary key (no)
			, key sortno (sortno)
			, key regdate (regdate)
		)
	";

	$sch_keyword_files = "
		create table t3_".$dbid."_keyword_files (
			no int(11) not null auto_increment
			, pno int(11) not null default '0'
			, attachname varchar(128) default null
			, filename varchar(128) default null
			, filesize int(11) not null default '0'
			, width int(11) not null default '0'
			, height int(11) not null default '0'
			, regdate int not null default ''
			, primary key (no)
			, key pno (pno)
		)
	";

	$sch_link = "
		create table t3_".$dbid."_link (
			no int not null auto_increment
			, type int(1) not null default '0'
			, xml_url varchar(255) not null default ''
			, title varchar(255) not null default ''
			, link varchar(255) not null default ''
			, regdate int not null default ''
			, primary key (no)
			, key title (title)
		)
	";

	$sch_rss = "
		create table t3_".$dbid."_rss (
			pno int not null default '0'
			, no int not null auto_increment
			, xml_url varchar(255) not null default ''
			, title varchar(255) not null default ''
			, link varchar(255) not null default ''
			, description varchar(255) not null default ''
			, regdate int not null default ''
			, mdate varchar(64) default 0 not null
			, is_sync int(1) not null default '0'
			, is_public int(1) not null default '0'
			, primary key (no)
			, key pno (pno)
			, key xml_url (xml_url)
			, key regdate (regdate)
		)
	";

	$sch_rss_group = "
		create table t3_".$dbid."_rss_group (
			no int not null auto_increment
			, sortno int not null default '0'
			, title varchar(255) not null default ''
			, regdate int not null default ''
			, primary key (no)
		)
	";

	$sch_rss_item = "
		create table t3_".$dbid."_rss_item (
			no int not null auto_increment
			, rno int not null
			, title varchar(255) not null default ''
			, link varchar(255) not null default ''
			, description text not null default ''
			, subject varchar(255) not null default ''
			, creator varchar(255)
			, date varchar(255)
			, regdate int not null default ''
			, is_read int(1) not null default '0'
			, is_scrap int(1) not null default '0'
			, primary key (no)
			, key rno (rno)
			, key link (link)
			, key regdate (regdate)
		)
	";

	$sch_guest = "
		create table t3_".$dbid."_guest (
			no int not null auto_increment
			, sortno int not null default '0'
			, name varchar(128) not null default ''
			, homepage varchar(128) not null default ''
			, icon varchar(128) not null default ''
			, icon_width int not null default '0'
			, icon_height int not null default '0'
			, body text not null default ''
			, password varchar(64) not null
			, regdate int not null default ''
			, ip varchar(16) default null
			, primary key (no)
			, key sortno (sortno)
		)
	";

	$sch_guest_reply = "
		create table t3_".$dbid."_guest_reply (
			no int not null auto_increment
			, pno int not null default '0'
			, name varchar(128) not null default ''
			, homepage varchar(128) not null default ''
			, icon varchar(128) not null default ''
			, icon_width int not null default '0'
			, icon_height int not null default '0'
			, body text not null default ''
			, password varchar(64) not null
			, regdate int not null default ''
			, ip varchar(16) default null
			, primary key (no)
			, key pno (pno)
		)
	";

	$sch_guest_icon = "
		create table t3_".$dbid."_guest_icon (
			no int not null auto_increment
			, sortno int not null default '0'
			, name varchar(128) not null default ''
			, file varchar(128) not null default ''
			, label varchar(128) not null default ''
			, width int not null default '0'
			, height int not null default '0'
			, type int(1) not null default '0'
			, cond int(1) not null default '0'
			, mstr varchar(128) not null default ''
			, primary key (no)
			, key sortno (sortno)
		)
	";

	$sch_referlog = "
		create table t3_".$dbid."_referlog (
			no int not null auto_increment
			, host varchar(255) not null default ''
			, refer varchar(255) not null default ''
			, regdate int not null default ''
			, primary key (no)
			, key regdate (regdate)
		)
	";

	$sch_referstat = "
		create table t3_".$dbid."_referstat (
			host varchar(255) not null default ''
			, cnt int not null default '0'
			, key cnt (cnt)
		)
	";

	$sch_cnt_log = "
		create table t3_".$dbid."_cnt_log (
			ip varchar(32) not null default ''
			, cnt int not null default '0'
			, key ip (ip)
		)
	";

?>
